GDB (xrefs)

Public Attributes | List of all members
symtoken Struct Reference

`#include "parser-defs.h"`

## Public Attributes
struct stoken | stoken
struct block_symbol | sym
int | is_a_field_of_this

## Detailed Description

Definition at line 118 of file parser-defs.h.

## Member Data Documentation

## ◆ is_a_field_of_this

int symtoken::is_a_field_of_this

Definition at line 122 of file parser-defs.h.

Referenced by classify_name(), classify_packaged_name(), lex_one_token(), VEC(), and yylex().

## ◆ stoken

struct stoken symtoken::stoken

Definition at line 120 of file parser-defs.h.

Referenced by classify_inner_name(), classify_name(), and lex_one_token().

## ◆ sym

struct block_symbol symtoken::sym

Definition at line 121 of file parser-defs.h.

Referenced by classify_inner_name(), classify_name(), classify_packaged_name(), lex_one_token(), VEC(), and yylex().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/parser-defs.h